import React from 'react';
import styled from 'styled-components';
import { cv } from '../../style';
const PageLayoutOuter = styled.div`
    width: 100%;
    background-color: ${props => props.backgroundColor};
    margin-top: ${props => props.marginTop};
    display: flex;
    justify-content: center;
    padding: ${props => props.padding};
`;
const PageLayoutInner = styled.div`
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: ${props => props.width};
    gap: ${props => props.gap};
    margin: 0px ${props => props.gutter};

    @media (max-width: 767px) {
        margin: 0px 8px;
    }
`;
export function BoxLayout({
  width = cv.pageWidth,
  gap = '8px',
  gutter = '24px',
  backgroundColor = cv.bg_page2,
  children,
  marginTop = '0px',
  padding = '0px'
}) {
  return /*#__PURE__*/React.createElement(PageLayoutOuter, {
    marginTop: marginTop,
    backgroundColor: backgroundColor,
    padding: padding
  }, /*#__PURE__*/React.createElement(PageLayoutInner, {
    width: width,
    gap: gap,
    gutter: gutter
  }, children));
}
BoxLayout.displayName = 'BoxLayout';